blas_sparse::uscr_insert_entries Interface Reference

inserts multiple entries More...

## Public Member Functions

subroutine | suscr_insert_entries (a, nnz, val, indx, jndx, istat)
| Inserts entries in a matrix, assuming it is in build state. By default, duplicate entries will be summed together.
subroutine | duscr_insert_entries (a, nnz, val, indx, jndx, istat)
| Inserts entries in a matrix, assuming it is in build state. By default, duplicate entries will be summed together.
subroutine | cuscr_insert_entries (a, nnz, val, indx, jndx, istat)
| Inserts entries in a matrix, assuming it is in build state. By default, duplicate entries will be summed together.
subroutine | zuscr_insert_entries (a, nnz, val, indx, jndx, istat)
| Inserts entries in a matrix, assuming it is in build state. By default, duplicate entries will be summed together.

## Detailed Description

inserts multiple entries

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## Member Function/Subroutine Documentation

## cuscr_insert_entries()

subroutine blas_sparse::uscr_insert_entries::cuscr_insert_entries | ( | integer | a,
|  | integer(kind=rsb_blas_idx_kind) | nnz,
|  | complex(kind(1.e0)), dimension (:) | val,
|  | integer(kind=rsb_blas_idx_kind), dimension (:) | indx,
|  | integer(kind=rsb_blas_idx_kind), dimension (:) | jndx,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat )

Inserts entries in a matrix, assuming it is in build state. By default, duplicate entries will be summed together.

Parameters

  A | A valid matrix handle.
  nnz | Number of nonzeroes to insert.
  val | Array of values.
  indx | Row indices array.
  jndx | Column indices array.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## duscr_insert_entries()

subroutine blas_sparse::uscr_insert_entries::duscr_insert_entries | ( | integer | a,
|  | integer(kind=rsb_blas_idx_kind) | nnz,
|  | real(kind(1.d0)), dimension (:) | val,
|  | integer(kind=rsb_blas_idx_kind), dimension (:) | indx,
|  | integer(kind=rsb_blas_idx_kind), dimension (:) | jndx,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat )

Inserts entries in a matrix, assuming it is in build state. By default, duplicate entries will be summed together.

Parameters

  A | A valid matrix handle.
  nnz | Number of nonzeroes to insert.
  val | Array of values.
  indx | Row indices array.
  jndx | Column indices array.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## suscr_insert_entries()

subroutine blas_sparse::uscr_insert_entries::suscr_insert_entries | ( | integer | a,
|  | integer(kind=rsb_blas_idx_kind) | nnz,
|  | real(kind(1.e0)), dimension (:) | val,
|  | integer(kind=rsb_blas_idx_kind), dimension (:) | indx,
|  | integer(kind=rsb_blas_idx_kind), dimension (:) | jndx,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat )

Inserts entries in a matrix, assuming it is in build state. By default, duplicate entries will be summed together.

Parameters

  A | A valid matrix handle.
  nnz | Number of nonzeroes to insert.
  val | Array of values.
  indx | Row indices array.
  jndx | Column indices array.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## zuscr_insert_entries()

subroutine blas_sparse::uscr_insert_entries::zuscr_insert_entries | ( | integer | a,
|  | integer(kind=rsb_blas_idx_kind) | nnz,
|  | complex(kind(1.d0)), dimension (:) | val,
|  | integer(kind=rsb_blas_idx_kind), dimension (:) | indx,
|  | integer(kind=rsb_blas_idx_kind), dimension (:) | jndx,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat )

Inserts entries in a matrix, assuming it is in build state. By default, duplicate entries will be summed together.

Parameters

  A | A valid matrix handle.
  nnz | Number of nonzeroes to insert.
  val | Array of values.
  indx | Row indices array.
  jndx | Column indices array.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

The documentation for this interface was generated from the following file:

- rsb_blas_sparse.F90